/*
 *
 * Copyright (C)  10 févr. 2004 Jean-Yves Beaujean
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc.,  59
 * Temple Place - Suite 330, Boston, MA 02111-1307, USA.

 */
package jxtray.swing;

import javax.swing.JCheckBox;

import jxtray.Jxtray;

public class JxtCheckBox extends JCheckBox
{
		public JxtCheckBox()
		{
			super();
			this.setFont(Jxtray.getFont());
		}
		
		public JxtCheckBox(boolean value)
		{
			super();
			this.setFont(Jxtray.getFont());
			this.setSelected(value);
		}
		
		public JxtCheckBox(String label, String value)
		{
			super();
			this.setText(label);
			this.setFont(Jxtray.getFont());
			if ( "TRUE".equals(value.toUpperCase()))
				this.setSelected(true);
			else if ( "FALSE".equals(value.toUpperCase()))
				this.setSelected(false);
			else
				this.setSelected(true);
		}		
}
